import React, { Component } from 'react';
import LoggedInLayout from '../logged-in';
import getPublisherBySlug from 'graphql/get-publisher-by-slug.graphql';
import { Query } from 'react-apollo';

class PublisherLayout extends Component {
	publisherSlug = this.props.computedMatch.params.publisherSlug;

	sidebarMenuItems = [
		{
			key: 'organizations',
			to: `/p/${this.publisherSlug}/organizations`,
			svg: (
				<svg width='18px' height='18px' viewBox='0 0 18 18'>
					<path
						fill='#3ab184'
						d='M8.4375,0.05625 L17.94402,3.65625 L17.94402,17.8874094 L15.07518,17.8874094 L15.07518,13.38741 L11.30634,13.38741 L11.30634,17.8874094 L0.056339946,17.8874094 L0.056339946,3.43125 L8.4375,3.43125 L8.4375,0.05625 Z M8.4375,16.81875 L8.43732,4.55625 L1.18116,4.55625 L1.18116,16.81875 L2.92491,16.81875 L2.92491,13.44375 L6.69375,13.44375 L6.69375,16.81875 L8.4375,16.81875 Z M15.1875,11.86875 L15.1875,10.8 L11.1375,10.8 L11.1375,11.86875 L15.1875,11.86875 Z M15.1875,9.44991 L15.1875,8.38116 L11.1375,8.38116 L11.1375,9.44991 L15.1875,9.44991 Z M15.1875,6.97491 L15.1875,5.90616 L11.1375,5.90616 L11.1375,6.97491 L15.1875,6.97491 Z M2.8125,6.97491 L2.8125,5.90616 L6.8625,5.90616 L6.8625,6.97491 L2.8125,6.97491 Z M2.8125,9.39375 L2.8125,8.325 L6.8625,8.325 L6.8625,9.39375 L2.8125,9.39375 Z M2.8125,11.86875 L2.8125,10.8 L6.8625,10.8 L6.8625,11.86875 L2.8125,11.86875 Z'
					/>
				</svg>
			),
			text: 'Organizations'
		},
		{
			key: 'settings',
			to: `/p/${this.publisherSlug}/settings`,
			svg: (
				<svg width='18px' height='19px' viewBox='0 5 18 19'>
					<path
						fill='#8696AA'
						d='M16.265625,14 C16.265625,15.0625053 16.8437442,15.9374966 18,16.625 C17.8437492,17.1250025 17.5937517,17.7187466 17.25,18.40625 C16.1874947,18.1562487 15.2187544,18.4687456 14.34375,19.34375 C13.5624961,20.1250039 13.3124986,21.0937442 13.59375,22.25 C12.9062466,22.5937517 12.3125025,22.8437492 11.8125,23 C11.1249966,21.8437442 10.1875059,21.265625 9,21.265625 C7.81249406,21.265625 6.87500344,21.8437442 6.1875,23 C5.62499719,22.8124991 5.01562828,22.5625016 4.359375,22.25 C4.64062641,21.0624941 4.40625375,20.0937538 3.65625,19.34375 C2.90624625,18.5937463 1.93750594,18.3593736 0.75,18.640625 C0.437498438,17.9843717 0.187500937,17.3750028 0,16.8125 C1.15625578,16.1249966 1.734375,15.1875059 1.734375,14 C1.734375,12.9374947 1.15625578,12.0625034 0,11.375 C0.218751094,10.6874966 0.468748594,10.0937525 0.75,9.59375 C1.81250531,9.84375125 2.78124563,9.53125437 3.65625,8.65625 C4.40625375,7.90624625 4.64062641,6.93750594 4.359375,5.75 C5.01562828,5.43749844 5.62499719,5.18750094 6.1875,5 C6.87500344,6.15625578 7.81249406,6.734375 9,6.734375 C10.1875059,6.734375 11.1249966,6.15625578 11.8125,5 C12.3750028,5.18750094 12.9843717,5.43749844 13.640625,5.75 C13.3593736,6.93750594 13.5937463,7.90624625 14.34375,8.65625 C15.2187544,9.53125437 16.1874947,9.84375125 17.25,9.59375 C17.5937517,10.2812534 17.8437492,10.8749975 18,11.375 C16.8437442,12.0625034 16.265625,12.9374947 16.265625,14 Z M9,18.59375 C10.2500063,18.59375 11.3281205,18.1406295 12.234375,17.234375 C13.1406295,16.3281205 13.59375,15.2500062 13.59375,14 C13.59375,12.7499937 13.1406295,11.6718795 12.234375,10.765625 C11.3281205,9.85937047 10.2500063,9.40625 9,9.40625 C7.74999375,9.40625 6.67187953,9.85937047 5.765625,10.765625 C4.85937047,11.6718795 4.40625,12.7499937 4.40625,14 C4.40625,15.2500062 4.85937047,16.3281205 5.765625,17.234375 C6.67187953,18.1406295 7.74999375,18.59375 9,18.59375 Z'
					/>
				</svg>
			),
			text: 'Settings'
		}
	];
	render() {
		return (
			<Query query={getPublisherBySlug} variables={{ slug: this.publisherSlug }}>
				{({ data, loading }) => {
					const logo = !loading && data && data.publisher.logo;
					return (
						<LoggedInLayout
							sidebarMenuItems={this.sidebarMenuItems}
							match={this.props.computedMatch}
							logo={logo}
							logoLoading={loading}
							history={this.props.history}
						>
							{this.props.children}
						</LoggedInLayout>
					);
				}}
			</Query>
		);
	}
}

export default PublisherLayout;
